Page MenuHomePhabricator

Use TagMultiSelectWidget for category input field.
Closed, ResolvedPublic5 Story Points

Description

Motivation
"Pages in these categories" field is not focused when the cursor is there, while all the other fields in the form are ( see in the gif below ).


Also, the currently used widget is deprecated and should be replaced.

Acceptance Criteria:

  • "Pages in these categories" gets the focus when clicked/tabbed to, the border becomes blue and bold like on the other elements from the fieldset.
  • TagMultiselectWidget is used instead of the OOUI CapsuleMultiselectWidget

Notes:

  • This bug is the result of using OOUI CapsuleMultiselectWidget. All other fields in the fieldset with the same functionality use TagMultiselectWidget. OOUI people do not advise using CapsuleMultiselectWidget. T183299
  • There's a problem with DeepCategory.test.js, an unresolved ajax request which makes the next test in the queue fail. Refactoring DeepCategory to use TagMultiselectWidget will also supposedly solve the problem, because it's not present with TemplateSearch.js. For reference: https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php70-docker/5341/consoleFull

Hint: There is functionality for making the pills clickable and red in the hastemplate field, therefor can be used by deepcat field as well.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 20 2018, 9:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tonina_Zhelyazkova_WMDE triaged this task as Normal priority.May 20 2018, 9:49 AM
Tonina_Zhelyazkova_WMDE updated the task description. (Show Details)
kai.nissen set the point value for this task to 5.Jun 4 2018, 10:33 AM
Lea_WMDE renamed this task from "Pages in these categories" field is not focused to Use TagMultiSelectWidget for category input field..Jun 11 2018, 9:56 AM
Lea_WMDE updated the task description. (Show Details)
thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.Jun 12 2018, 4:07 PM
Vvjjkkii renamed this task from Use TagMultiSelectWidget for category input field. to qlcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot set the point value for this task to 5.Jul 2 2018, 4:44 AM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from qlcaaaaaaa to Use TagMultiSelectWidget for category input field..
CommunityTechBot added a subscriber: Aklapper.
Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:53 AM